Page MenuHomePhabricator

[Task] Use rc_source for filtering Wikibase recent changes and watchlist entries in the client
Closed, ResolvedPublic

Description

We need a way to more specifically and reliably filter Wikibase recent changes in the client. We can't just rely on rc_type == RC_EXTERNAL, as something else might use that. rc_source seems to be the right choice, Wikibase puts "wb" there.

Note that https://www.mediawiki.org/wiki/Manual:Recentchanges_table#rc_source sais that rc_source "replaces" rc_type (though the docs for rc_type don't say anything about it being deprecated).

Details

Reference
bz42289

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:47 AM
bzimport set Reference to bz42289.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Nov 20 2012, 12:12 PM

*** This bug has been marked as a duplicate of bug 41686 ***

Denny added a comment.Dec 6 2012, 1:01 PM

The filtering currently sort-of works, but all Wikidata changes are regarded as anonymous changes.

Tgr added a comment.Jan 27 2013, 11:05 PM

(In reply to comment #2)

The filtering currently sort-of works, but all Wikidata changes are regarded
as anonymous changes.

This means that RC with the "hide logged in users" option (something that is used a lot by patrollers) is flooded with Wikidata edits, as there are way more of them then local anonymous edits. This is a major problem right now for the Hungarian Wikipedia.

Example:
https://hu.wikipedia.org/w/index.php?title=Speci%C3%A1lis:Friss_v%C3%A1ltoztat%C3%A1sok&hideliu=1&uselang=en

Tgr added a comment.Jan 28 2013, 9:24 PM

I see the two linked pages as identical, and the show/hide Wikidata option does not appear to me. Apparently another bug related to enhanced recent changes, if I disable that, the option is visible and works as expected (see bug 44225 and bug 44222).

I agree that the show/hide option would be a good temporary solution. Enhanced recent changes is enabled for a lot of editors, though.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2015, 11:09 AM
aude renamed this task from More specific filtering for recent changes on the client to [Task] Use rc_source for filtering Wikibase recent changes and watchlist entries in the client.Aug 13 2015, 1:58 PM
aude set Security to None.

Proposing this for the next sprint.

Should be a one line fix (plus 10 or so for testing): in ChangesListSpecialPageHooksHandler::addWikibaseConditions(), just replace $conds[] = 'rc_type != ' . RC_EXTERNAL with $conds[] = 'rc_source != "wb".

daniel updated the task description. (Show Details)Nov 25 2015, 8:43 PM
aude claimed this task.Dec 7 2015, 11:02 AM
aude moved this task from Backlog to Doing on the Wikidata-Sprint-2015-12-01 board.

Change 257575 had a related patch set uploaded (by Aude):
Use a constant for the rc_source value in client recent changes

https://gerrit.wikimedia.org/r/257575

Change 257576 had a related patch set uploaded (by Aude):
Use rc_source column for filtering changes in client

https://gerrit.wikimedia.org/r/257576

Change 257575 merged by jenkins-bot:
Use a constant for the rc_source value in client recent changes

https://gerrit.wikimedia.org/r/257575

aude moved this task from Doing to Review on the Wikidata-Sprint-2015-12-01 board.Dec 8 2015, 2:38 PM

Change 257576 merged by jenkins-bot:
Use rc_source column for filtering changes in client

https://gerrit.wikimedia.org/r/257576

hoo closed this task as Resolved.Jan 21 2016, 12:24 AM
hoo removed a project: Patch-For-Review.